export declare class Assert {
    #private;
    assert: string;
    private dataContext;
    status: boolean;
    message?: string;
    constructor(assert: string, dataContext: object, logFn: (success: boolean, msg: string) => void);
    equal(expected: unknown, received: unknown): Assert;
    notEqual(expected: unknown, received: unknown): Assert;
    isTruthy(value: unknown): Assert;
    isFalsy(value: unknown): Assert;
    isTrue(value: unknown): Assert;
    isFalse(value: unknown): Assert;
    greaterThan(value1: number | Date, value2: number | Date): Assert;
    greaterOrEqualThan(value1: number | Date, value2: number | Date): Assert;
    inRange(value: number | Date, min: number | Date, max: number | Date): Assert;
    between(value: number | Date, min: number | Date, max: number | Date): Assert;
    lessThan(value1: number | Date, value2: number | Date): Assert;
    lessOrEqualThan(value1: number | Date, value2: number | Date): Assert;
    private assertFunction;
}
